%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

Name:           ahc-tools
Summary:        Tools for RDO-manager automatic health checks
Version:        0.1.1
Release:        6%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://pypi.python.org/pypi/ahc-tools

Source0:        https://pypi.python.org/packages/source/a/ahc-tools/ahc-tools-%{upstream_version}.tar.gz
Source1:        compute.specs
Source2:        control.specs
Source3:        state
Source4:        compute.cmdb.example
Source5:        control.cmdb.example

#
#patches_base=0.1.1+2
#
Patch0001: 0001-Revert-use-tarball-setup.cfg.patch
Patch0002: 0002-Fix-newline-at-the-end-of-README.rst.patch
Patch0003: 0003-bump-version-in-setup.cfg-to-match-tag.patch
Patch0004: 0004-bump-version-in-setup.cfg-to-match-tag.patch
Patch0005: 0005-Consume-edeploy-facts-from-Swift.patch
Patch0006: 0006-Only-match-on-manageable-or-available-nodes.patch
Patch0007: 0007-Use-internal-endpoints-for-ironic-and-swift.patch

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-hardware
Requires: python-ironicclient
Requires: python-oslo-config

%prep
%autosetup -v -p 1 -n %{name}-%{upstream_version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# edeploy matching configuration files
install -p -D -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/ahc-tools/edeploy/compute.specs
install -p -D -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/ahc-tools/edeploy/control.specs
install -p -D -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/ahc-tools/edeploy/state
install -p -D -m 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/ahc-tools/edeploy/compute.cmdb.example
install -p -D -m 644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/ahc-tools/edeploy/control.cmdb.example

%description
Reporting and matching tools for RDO-manager automatic health checks.

%files
%license LICENSE
%config(noreplace) %attr(-,root,root) %{_sysconfdir}/ahc-tools/edeploy
%doc README.rst
%{python2_sitelib}/ahc_tools*
%exclude %{python2_sitelib}/ahc_tools/test*
%{_bindir}/ahc-report
%{_bindir}/ahc-match

%changelog
* Mon Aug 31 2015 Mike Burns <mburns@redhat.com> 0.1.1-6
- Use internal endpoints for ironic and swift rhbz#1245212

* Wed Jun 24 2015 John Trowbridge <trown@redhat.com> 0.1.1-5
- Only match on manageable or available nodes

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.1.1-4
- Consume edeploy facts from Swift

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.1.1-3
- bump version in setup.cfg to match tag
- bump version in setup.cfg to match tag
- Fix newline at the end of README.rst

* Tue May 26 2015 Mike Burns <mburns@redhat.com> - 0.1.1-2
- update network cidr examples in specs files

* Fri May 08 2015 John Trowbridge <trown@redhat.com> - 0.1.1-1
- Add default configuration for using edeploy matching

* Tue Apr 28 2015 John Trowbridge <jtrowbri@redhat.com> - 0.1.0-1
- Initial package build

